// 复制指标数据
import { showToast } from 'vant'
import { copyText } from 'vue3-clipboard'

export function useCopyEdbData(){

    function copyData(data){
        let str = '日期\t 值\n';
        data.forEach((item) => (str += `${item.DataTime}\t${item.Value}\n`));
        copyText(str,undefined,(error,event)=>{
            if(error){
                showToast('复制失败')
                console.log('复制数据失败',error);
                throw new Error('复制数据失败'+JSON.stringify(error))
            }else{
                showToast('复制成功')
            }
        })
        
    }

    return {
        copyData
    }
}